PDFTEX(1)

NAME
pdfetex, pdfeinitex, pdfevirtex - PDF output from e-TeX

SYNOPSIS
pdfetex [options] [commands]

DESCRIPTION
This manual page is not meant to be exhaustive. The complete documentation for this version of TeX can be found in the info file or manual Web2C: A TeX implementation.

pdfeTeX is a version of e-TeX that can create PDF files as well as DVI files.

The typical use of pdfeTeX is with a pregenerated formats for which PDF output has been enabled. The pdfetex command uses the equivalent of the plain e-TeX format, and the pdfelatex command uses the equivalent of the e-LaTeX format.

The pdfeinitex and pdfevirtex commands are pdfeTeX's analogues to the einitex and evirtex commands. In this installation, they are symlinks to the pdfetex executable.

pdfeTeX's handling of its command-line arguments is similar to that of e-TeX.

pdfeTeX is beta software.

OPTIONS
This version of pdfeTeX understands the following command line options.

--efmt format
    Use format as the name of the format to be used, instead of the name by which pdfeTeX was called or a %& line.

--file-line-error-style
    Print error messages in the form file:line:error which is similar to the way many compilers format them.

--help
    Print help message and exit.

--ini
    Be pdfeinitex, for dumping formats; this is implicitly true if the program is called as pdfeinitex.

--interaction mode
    Sets the interaction mode. The mode can be one of batchmode, nonstopmode, scrollmode, and errorstopmode. The meaning of these modes is the same as that of the corresponding \commands.

--ipc
    Send DVI or PDF output to a socket as well as the usual output file. Whether this option is available is the choice of the installer.

--ipc-start
    As --ipc, and starts the server at the other end as well. Whether this option is available is the choice of the installer.

--jobname name
    Use name for the job name, instead of deriving it from the name of the input file.

--kpathsea-debug bitmask
    Sets path searching debugging flags according to the bitmask. See the Kpathsea manual for details.

--maketex fmt
    Enable mktexfmt, where fmt must be one of tex or tfm.

--no-maketex fmt
    Disable mktexfmt, where fmt must be one of tex or tfm.

--output-comment string
    Use string for the DVI file comment instead of the date.

--parse-first-line
    If the first line of the main input file begins with %& parse it to look for a dump name or a --translate-file option.

--progname name
    Pretend to be program name. This affects both the format used and the search paths.

--shell-escape
    Enable the \write18{command} construct. The command can be any Bourne shell command. This construct is normally disallowed for security reasons.

--translate-file tcxname
    Use the tcxname translation table.

--version
    Print version information and exit.

ENVIRONMENT
See the Kpathsearch library documentation (the `Path specifications' node) for precise details of how the environment variables are used. The kpsewhich utility can be used to query the values of the variables.

One caveat: In most pdfeTeX formats, you cannot use ~ in a filename you give directly to pdfeTeX, because ~ is an active character, and hence is expanded, not taken as part of the filename. Other programs, such as Metafont, do not have this problem.

TEXMFOUTPUT
    Normally, pdfeTeX puts its output files in the current directory. If any output file cannot be opened there, it tries to open it in the directory specified in the environment variable TEXMFOUTPUT. There is no default value for that variable. For example, if you say pdfetex paper and the current directory is not writable, if TEXMFOUTPUT has the value /tmp, pdfeTeX attempts to create /tmp/paper.log (and /tmp/paper.pdf, if any output is produced.)

TEXINPUTS
    Search path for \input and \openin files. This should probably start with ``.'', so that user files are found before system files. An empty path component will be replaced with the paths defined in the texmf.cnf file. For example, set TEXINPUTS to ".:/home/usr/tex:" to prepend the current direcory and ``/home/user/tex'' to the standard search path.

TEXFONTS
    Search path for font metric (.tfm) files.

TEXFORMATS
    Search path for format files.

TEXPOOL
    search path for pdfeinitex internal strings.

TEXEDIT
    Command template for switching to editor. The default, usually vi, is set when pdfeTeX is compiled.

FILES
The location of the files mentioned below varies from system to system. Use the kpsewhich utility to find their locations.

pdfetex.pool
    Encoded text of pdfeTeX's messages.

texfonts.map
    Filename mapping definitions.

*.tfm
    Metric files for pdfeTeX's fonts.

*.fmt
    Predigested pdfeTeX format (.efmt) files.

BUGS
This version of pdfeTeX implements a number of optional extensions. In fact, many of these extensions conflict to a greater or lesser extent with the definition of pdfeTeX. When such extensions are enabled, the banner printed when pdfeTeX starts is changed to print pdfeTeXk instead of pdfeTeX.

This version of pdfeTeX fails to trap arithmetic overflow when dimensions are added or subtracted. Cases where this occurs are rare, but when it does the generated DVI file will be invalid. Whether a generated PDF file would be usable is unknown.

pdfeTeX is beta software. Subscribe to the pdftex mailing list pdftex@tug.org if you intend to use it. This is a majordomo list, to subscribe send a message containing subscribe pdftex to majordomo@tug.org.

SEE ALSO
tex(1), mf(1), etex(1).

AUTHORS
The primary authors of pdfTeX are Han The Thanh, Petr Sojka, and Jiri Zlatuska.